-- 3.5.66 Power
---------------------------------------------------------------------
---------------------------------------------------------------------
---- Изменяем таблицу 'Кабельная_линия'
-- ALTER TABLE Кабельная_линия
-- DROP COLUMN  Код_условий_прокладки
-- GO

declare @table_name nvarchar(50)
declare @strSQL nvarchar(1024)
set @table_name=N'Кабельная_линия'
set @strSQL=''
select @strSQL = @strSQL + ' ALTER TABLE ' + @table_name + ' DROP CONSTRAINT '+ object_name(FK_Tab.id) 
from sysobjects FK_Tab 
where (xtype = 'F' or xtype = 'PK') AND object_id(@table_name)=parent_obj 
if @strSQL<>''  exec (@strSQL)
GO
ALTER TABLE Кабельная_линия WITH NOCHECK
        ADD FOREIGN KEY (Код_кл)
                              REFERENCES Объект
                              ON DELETE CASCADE
GO

---------------------------------------------------------------------
---------------------------------------------------------------------
---- Изменяем таблицу 'Отрезок_кабеля'
ALTER TABLE Отрезок_кабеля
        ADD FOREIGN KEY (Код_условий_прокладки)
                              REFERENCES Спр_условий_прокладки